# Uses of Interface
java.lang.classfile.attribute.NestMembersAttribute

Packages that use NestMembersAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of NestMembersAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type NestMembersAttribute
Modifier and Type
Method
Description
`static AttributeMapper<NestMembersAttribute>`
Attributes.`nestMembers()`
Returns the mapper for the `NestMembers` attribute.

## Uses of NestMembersAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type NestMembersAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`NestMembersAttribute`
Models the `NestMembers` attribute (JVMS 4.7.29), which indicates that this class is the host of a nest and the other nest members.
Methods in java.lang.classfile.attribute that return NestMembersAttribute
Modifier and Type
Method
Description
`static NestMembersAttribute`
NestMembersAttribute.`of(ClassEntry... nestMembers)`
Returns a `NestMembers` attribute.
`static NestMembersAttribute`
NestMembersAttribute.`of(List<ClassEntry> nestMembers)`
Returns a `NestMembers` attribute.
`static NestMembersAttribute`
NestMembersAttribute.`ofSymbols(ClassDesc... nestMembers)`
Returns a `NestMembers` attribute.
`static NestMembersAttribute`
NestMembersAttribute.`ofSymbols(List<ClassDesc> nestMembers)`
Returns a `NestMembers` attribute.